<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Cities</title>
    <link th:href="@{'https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css'}" rel="stylesheet">
    <link th:href="@{'https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-star-rating@4.1.2/css/star-rating.min.css'}"
          media="all" rel="stylesheet" type="text/css"/>
    <script th:src="@{'https://unpkg.com/@popperjs/core@2'}"></script>
    <link rel="stylesheet" th:href="@{'https://use.fontawesome.com/releases/v5.7.2/css/all.css'}"
          crossorigin="anonymous">
    <script th:src="@{'https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js'}"></script>
    <script th:src="@{/jquery-3.6.0.js}"></script>
    <script th:src="@{/rater.js}"></script>
    <link rel="stylesheet"
          th:href="@{'https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta3/dist/css/bootstrap-select.min.css'}">
    <script th:src="@{'https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta3/dist/js/bootstrap-select.min.js'}"></script>

</head>
<body>
<div th:include="/navbar::content"></div>

<div class="container">

    <h1>Cities List</h1>
    <button type="button" class="btn btn-outline-primary" data-bs-toggle="modal"
            data-bs-target="#addModal">
        Add city
    </button>
    <div class="row">
        <br>
        <br>
        <div class="table-responsive">
            <table class="table table-striped align-middle">
                <thead>
                <tr>
                    <th class="text-center">City id</th>
                    <th class="text-center">City title</th>
                    <th class="text-center">Country</th>
                    <th class="text-center">Actions</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="city : ${cities}">
                    <td class="text-center" th:text="${city.cityId}"></td>
                    <td class="text-center" th:text="${city.cityTitle}"></td>
                    <td class="text-center" th:text="${city.countryTitle}"></td>
                    <td>
                        <button type="button"
                                class="btn btn-sm btn-primary fas fa-pencil-alt noUnderlineCustom text-black-150"
                                data-bs-toggle="modal"
                                th:attr="data-bs-target=${'#editModal'+ city.cityId}" data-row="${city}"></button>
                        <button type="button"
                                class="btn  btn-sm btn-success fas fa-solid fa-trash noUnderlineCustom text-black-150"
                                data-bs-toggle="modal"
                                th:attr="data-bs-target=${'#deleteModal'+city.cityId}" data-row="${city}"></button>
                    </td>

                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<!--Modal edit-->
<div class="modal fade" th:each="row : ${cities}" th:attr="id=${'editModal' + row.cityId}" tabindex="-1"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="eModalLabel">Update city</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form th:action="@{/city/update}" method="post">
                <input hidden="hidden" name="cityId" th:value="${row.cityId}">
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="cityTitleId1" class="form-label" th:text="'Input city title: '"></label>
                        <input type="text" class="form-control" id="cityTitleId1" name="cityTitle"
                               th:value="${row.cityTitle}">
                    </div>
                    <div class="mb-3">
                        <label for="select-country1" class="form-label" th:text="'Country: '"></label>
                        <select id="select-country1" class="selectpicker" name="countryId">
                            <option th:each="country : ${countries}"
                                    th:value="${country.countryId}"
                                    th:text="${country.countryTitle}"></option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!--Modal delete-->
<div class="modal fade" th:each="row : ${cities}" th:attr="id=${'deleteModal' + row.cityId}" tabindex="-1"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="dModalLabel" th:text="'Delete city: ' + ${row.cityTitle}"></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form th:action="@{/city/delete}" method="post">
                <div class="modal-body">
                    <input hidden="hidden" name="cityId" th:value="${row.cityId}">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-danger">Delete</button>
                </div>
            </form>
        </div>
    </div>
</div>


<div th:if="${cities.getTotalPages() > 1}">
    <div class="row col-sm-12">
        <div class="col-sm-2">
            Total Rows: [[${cities.getTotalElements()}]]
        </div>
        <div class="col-sm-10">
                    <span th:each="i: ${#numbers.sequence(1, cities.getTotalPages())}">
      <a th:if="${cities.getNumber()  != i -1 }" th:href="@{'/city/list?page=' + ${i - 1}}">[[${i}]]</a>
      <span th:unless="${cities.getNumber()   != i -1 }">[[${i}]]</span> &nbsp; &nbsp;
                    </span>
        </div>
    </div>
</div>
<!--</div>-->

<!--Modal add-->
<div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addModalLabel">Add city</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form th:action="@{/city/add}" method="post">
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="cityTitleId" class="form-label" th:text="'City title: '"></label>
                        <input type="text" class="form-control" id="cityTitleId" name="cityTitle">
                    </div>

                    <div class="mb-3">
                        <label for="select-country" class="form-label" th:text="'Country: '"></label>
                        <select id="select-country" class="selectpicker" name="countryId">
                            <option th:each="country : ${countries}"
                                    th:value="${country.countryId}"
                                    th:text="${country.countryTitle}"></option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </div>
            </form>
        </div>
    </div>
</div>
</body>

</html>
